Update an agent's outbound-calling settings
curl --request PATCH \
--url https://api.orbit.devotel.io/api/v1/agents/{id}/outbound-calling \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbit.devotel.io/api/v1/agents/{id}/outbound-calling"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbit.devotel.io/api/v1/agents/{id}/outbound-calling', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"agent_id": "<string>",
"enabled": true,
"caller_id": "<string>"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Agents
Update an agent's outbound-calling settings
Enable/disable outbound calling and/or set the default caller-id for a voice agent (at least one of enabled/caller_id is required; an explicit caller_id: null clears the override back to the tenant default). Requires the owner or admin role; the change is audit-logged.
PATCH
/
api
/
v1
/
agents
/
{id}
/
outbound-calling
Update an agent's outbound-calling settings
